#### D.12.2.27 ellipticRandomCurve

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  ellipticRandomCurve(N);

Return:
  a list of two random numbers a,b and 4a^3+27b^2 mod N

Note:
  y^2z=x^3+a*xz^2+b^2*z^3 defines an elliptic curve over Z/N

Example:

    LIB "crypto.lib";
    ellipticRandomCurve(32003);
    ==> [1]:
    ==>    22857
    ==> [2]:
    ==>    24963
    ==> [3]:
    ==>    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.